using System;

namespace kvalifikacije
{
    public class Program
    {
        static string generisi(char duzi, int duzinaDuzeg, char kraci, int duzinaKraceg)
        {
            string novi_string = "";
            int j = 0;
            for (int i = 0; i < duzinaDuzeg; i++)
            {
                novi_string += duzi;
                if (duzinaKraceg > j)
                {
                    novi_string += kraci;
                    j++;
                }

            }
            return novi_string;
        }
        static void Main(string[] args)
        {
            string str = Console.ReadLine();
            char[] c1c2 = str.ToCharArray();
            char c1 = c1c2[0];
            char c2 = c1c2[1];

            string[] a1a2 = Console.ReadLine().Split(' ');
            int a1 = int.Parse(a1a2[0]);
            int a2 = int.Parse(a1a2[1]);
            if (Math.Abs(a1 - a2) >= 2)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                if (a1 > a2)
                {
                    Console.WriteLine(generisi(c1, a1, c2, a2));
                }
                else
                {
                    Console.WriteLine(generisi(c2, a2, c1, a1));
                }
            }
        }
    }
}